pcl::cuda::detail::DjSets Class Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h>`

## Public Member Functions

| DjSets (int n)
int | find (int elem)
int | merge (int set1, int set2)
void | init (int n)

## Public Attributes

std::vector< int > | parent
std::vector< int > | rank
std::vector< int > | size

## Detailed Description

Definition at line 68 of file mssegmentation.h.

## Constructor & Destructor Documentation

## DjSets()

pcl::cuda::detail::DjSets::DjSets | ( | int | n | ) |

Definition at line 150 of file mssegmentation.h.

## Member Function Documentation

## find()

int pcl::cuda::detail::DjSets::find | ( | int | elem | ) |

inline

Definition at line 156 of file mssegmentation.h.

## init()

void pcl::cuda::detail::DjSets::init | ( | int | n | ) |

inline

Definition at line 170 of file mssegmentation.h.

## merge()

int pcl::cuda::detail::DjSets::merge | ( | int | set1,
|  | int | set2
| ) |  |

inline

Definition at line 179 of file mssegmentation.h.

## Member Data Documentation

## parent

std::vector<int> pcl::cuda::detail::DjSets::parent

Definition at line 77 of file mssegmentation.h.

## rank

std::vector<int> pcl::cuda::detail::DjSets::rank

Definition at line 78 of file mssegmentation.h.

## size

std::vector<int> pcl::cuda::detail::DjSets::size

Definition at line 79 of file mssegmentation.h.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h